Description

If you add "per_page" to the parameter list when calling upstream candlepin, a set of links will be sent back in the response header. If

your URL is longer than a couple of KB, these links may exceed 8KB in total. Once this happens, tomcat will refuse to send the reply

since the HTTP header is bigger than 8KB.

There are a few ways to address this, but the easiest is to simply not paginate this particular API call to upstream candlepin. We

already send a subset of pool IDs up, based on which page is being displayed to the user.

Associated revisions

Revision bf842cc2 - 07/08/2018 12:48 PM - Chris Duryee

Fixes #24187 - do not paginate when calling upstream candlepin

Previously, calls to upstream candlepin with pool ID lists could

include `per_page`, which makes tomcat paginate results. However, the

pagination will add an HTTP header with URL links for the next and

previous data sets.

If the URL is more than a couple of KB, this header can exceed 8KB

which causes tomcat to refuse to return the result. This is

intentional, since not all services support headers larger than 8KB.

This patch removes the pagination request from the upstream candlepin

call for pools if the pool IDs are being sent through. We do not need

to do this since the call is already limited to just the pools

displayed on the page.

History

#1 - 07/06/2018 05:27 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/7503 added

#2 - 07/06/2018 08:02 PM - Jonathon Turel

- translation missing: en.field_release set to 338

#3 - 07/08/2018 01:01 PM - Chris Duryee

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|bf842cc29b142985e86deb9b02705536ca6d3648.

#4 - 07/09/2018 01:59 PM - Brad Buckingham

- Target version set to Katello 3.7.0
